1. Water Hyacinth Detection API
Graduation API
  • AI_API
    • API Root
      GET
    • API Health Status
      GET
    • Water Hyacinth Detection
      POST
    • Schemas
      • PredictionSchema
  • backend_API
    • Profiles
      • List profiles
      • Create profile
      • Update profile
      • Delete profile
    • Classification Runs
      • List classification runs
      • Create classification run
      • Update classification run
      • Delete classification run
    • Schemas
      • Profile
      • ProfileInput
      • ClassificationRun
      • ClassificationRunInput
  • Water Hyacinth Detection API
    • Describe the API entrypoint
      GET
    • Describe the mounted API base path
      GET
    • Predict water-hyacinth coverage and bounding boxes for one image
      POST
    • Predict water-hyacinth coverage and bounding boxes for multiple images
      POST
    • Check API readiness
      GET
    • Schemas
      • BatchPredictionItem
      • Body_predict_batch_endpoint_api_v1_water_hyacinth_predict_batch_post
      • Body_predict_endpoint_api_v1_water_hyacinth_predict_post
      • BoundingBox
      • HTTPValidationError
      • HealthResponse
      • PredictionResponse
      • ValidationError
Github Repo
  1. Water Hyacinth Detection API

Predict water-hyacinth coverage and bounding boxes for multiple images

POST
/api/v1/water-hyacinth/predict/batch
Last modified:2026-06-22 20:10:30
Maintainer:Not configured
Applies the same inference pipeline used by /predict to a batch of uploaded images. Each item includes the YOLO bounding boxes needed for frontend overlays.

Request

Body Params multipart/form-dataRequired

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://13.60.162.222:3000/api/v1/water-hyacinth/predict/batch' \
--form 'files=""'
Response Response Example
200 - Example 1
[
    {
        "classification": "string",
        "classification_confidence": 0,
        "detected_regions": 0,
        "coverage_percent": 0,
        "detection_confidence": 0,
        "risk_level": "string",
        "image_width": 0,
        "image_height": 0,
        "boxes": [
            {
                "x1": 0,
                "y1": 0,
                "x2": 0,
                "y2": 0,
                "confidence": 0,
                "width": 0,
                "height": 0
            }
        ],
        "image": "string"
    }
]
Modified at 2026-06-22 20:10:30
Previous
Predict water-hyacinth coverage and bounding boxes for one image
Next
Check API readiness
Built with